Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tap.hadoop.util
Class MeasuredRecordReader

    java.lang.Object
      cascading.tap.hadoop.util.MeasuredRecordReader

All Implemented Interfaces:
  RecordReader

    public class MeasuredRecordReader

extends Object
implements RecordReader

Constructor Summary
`MeasuredRecordReader(FlowProcess flowProcess, Enum counter)`

Method Summary
`void` | `close()`
`Object` | `createKey()`
`Object` | `createValue()`
`long` | `getPos()`
`float` | `getProgress()`
`RecordReader` | `getRecordReader()`
`boolean` | `next(Object key, Object value)`
`void` | `setRecordReader(RecordReader recordReader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeasuredRecordReader

    public MeasuredRecordReader(FlowProcess flowProcess,
                                Enum counter)

Method Detail

### getRecordReader

    public RecordReader getRecordReader()

### setRecordReader

    public void setRecordReader(RecordReader recordReader)

### next

    public boolean next(Object key,
                        Object value)
                 throws IOException

  Specified by:
    `next` in interface `RecordReader`
  Throws:
    `IOException`

### createKey

    public Object createKey()

  Specified by:
    `createKey` in interface `RecordReader`

### createValue

    public Object createValue()

  Specified by:
    `createValue` in interface `RecordReader`

### getPos

    public long getPos()
                throws IOException

  Specified by:
    `getPos` in interface `RecordReader`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `RecordReader`
  Throws:
    `IOException`

### getProgress

    public float getProgress()
                      throws IOException

  Specified by:
    `getProgress` in interface `RecordReader`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.